- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::TiffSizeEntry Class Reference

A TIFF IFD entry containing the size of a data area of a related TiffDataEntry. This component is used, e.g. for Exif.Thumbnail.JPEGInterchangeFormatLength, which contains the size of Exif.Thumbnail.JPEGInterchangeFormat. More...

`#include <tiffcomposite.hpp>`

Inheritance diagram for Exiv2::TiffSizeEntry:

[legend]
Collaboration diagram for Exiv2::TiffSizeEntry:

[legend]
List of all members.

## Public Member Functions
Creators
| TiffSizeEntry (uint16_t tag, uint16_t group, uint16_t dtTag, uint16_t dtGroup)
| Constructor.
virtual | ~TiffSizeEntry ()
| Virtual destructor.
Accessors
uint16_t | dtTag () const
| Return the group of the related entry which has the data area.
uint16_t | dtGroup () const
| Return the group of the related entry which has the data area.

## Detailed Description

A TIFF IFD entry containing the size of a data area of a related TiffDataEntry. This component is used, e.g. for Exif.Thumbnail.JPEGInterchangeFormatLength, which contains the size of Exif.Thumbnail.JPEGInterchangeFormat.

The documentation for this class was generated from the following files:

- tiffcomposite.hpp
- tiffcomposite.cpp